%define dist .el5

%define desktop_vendor fedora

Name: xsane
Summary: An X Window System front-end for the SANE scanner interface.
Version: 0.991
Release: 4%{?dist}.XOS.1
Source0: http://www.xsane.org/download/%{name}-%{version}.tar.gz
Source1: xsane.desktop
Source2: xsane.conf.in
Patch0: xsane-0.90-htmlview.patch
Patch1: xsane-0.99-medium-definitions.patch
Patch2: xsane-0.92_gimp2.0.patch
License: GPL
URL: http://www.xsane.org/
Group: Applications/Multimedia
Buildroot: %{_tmppath}/%{name}-buildroot
BuildRequires: sane-backends-devel gimp-devel libpng-devel libjpeg-devel
BuildRequires: desktop-file-utils >= 0.2.92
BuildRequires: libtiff-devel
BuildRequires: gettext-devel
BuildRequires: automake
BuildRequires: autoconf
BuildRequires: sed
ExcludeArch: s390 s390x

%description
XSane is an X based interface for the SANE (Scanner Access Now Easy)
library, which provides access to scanners, digital cameras, and other
capture devices. XSane is written in GTK+ and provides control for
performing the scan and then manipulating the captured image.

%package gimp
Summary: A GIMP plug-in which provides the SANE scanner interface.
Group: Applications/Multimedia
Requires(post): gimp >= 2:2.2.12-4
Requires(preun): gimp >= 2:2.2.12-4

%description gimp
This package provides the regular XSane frontend for the SANE scanner
interface, but it works as a GIMP plug-in. You must have GIMP
installed to use this package.

%prep
rm -rf %{buildroot}
%setup -q
%patch0 -p1 -b .htmlview
%patch1 -p1 -b .medium-definitions
%patch2 -p1 -b .gimp2.0

%build
%{expand:%%define optflags %{optflags} -DGIMP_ENABLE_COMPAT_CRUFT=1}
aclocal -I m4
autoconf
%configure --with-install-root=%{buildroot}
make LDFLAGS=

mv src/xsane src/xsane-gimp

sed -e 's|@BINDIR@|%{_bindir}|g' < "%{SOURCE2}" > xsane.conf

make clean
%configure --with-install-root=%{buildroot} --disable-gimp
make LDFLAGS=

%install
rm -rf %{buildroot}
%makeinstall

install src/xsane-gimp %{buildroot}%{_bindir}

mkdir %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor}         \
    --dir %{buildroot}%{_datadir}/applications          \
    --add-category X-Red-Hat-Base                       \
    --add-category X-Fedora                             \
    --add-category Graphics                             \
    --add-category Application                          \
    %{SOURCE1}

%find_lang %{name} XSANE.lang

mkdir -p %{buildroot}%{_sysconfdir}/gimp/plugins.d
install -m 0644 xsane.conf %{buildroot}%{_sysconfdir}/gimp/plugins.d/xsane.conf

%clean
rm -rf %{buildroot}

%files -f XSANE.lang
%defattr(-,root,root)
%doc xsane.[A-Z]*
%{_bindir}/xsane
%{_mandir}/man1/*
%{_datadir}/sane
%dir %{_datadir}/applications
%{_datadir}/applications/%{desktop_vendor}-xsane.desktop

%files gimp
%defattr(-,root,root)
%{_bindir}/xsane-gimp
%dir %{_datadir}/sane
%dir %{_datadir}/sane/xsane
%{_datadir}/sane/xsane/*eula*
%{_sysconfdir}/gimp
%{_sysconfdir}/gimp/plugins.d
%config %{_sysconfdir}/gimp/plugins.d/xsane.conf

%post gimp
if [ -x "%{_sbindir}/gimp-plugin-mgr" ]; then
    %{_sbindir}/gimp-plugin-mgr --install xsane
fi

%preun gimp
if [ $1 = 0 ]; then
    if [ -x "%{_sbindir}/gimp-plugin-mgr" ]; then
        %{_sbindir}/gimp-plugin-mgr --uninstall xsane
    fi
fi

%changelog
* Fri Sep 14 2007 X/OS Linux Team <xoslinux@xos.nl> - 0.991-4.el5.XOS.1
- Build for X/OS Linux 5.
- X/OS Linux source rpm based on xsane-0.991-4.el5.src.rpm
  (md5sum of original source rpm: 683ddaf590bd10aa4488048832899cc7).
- Include "dist" macro with value ".el5" to match the original release number.

* Wed Oct 25 2006 Nils Philippsen <nphilipp@redhat.com> - 0.991-4
- fix typo in scriptlet (#212063)

* Mon Oct 23 2006 Nils Philippsen <nphilipp@redhat.com> - 0.991-3
- really don't barf on missing gimp-plugin-mgr when updating (#208159)

* Mon Oct 02 2006 Nils Philippsen <nphilipp@redhat.com> - 0.991-2
- don't barf on missing gimp-plugin-mgr when updating (#208159)

* Mon Aug 28 2006 Nils Philippsen <nphilipp@redhat.com> - 0.991-1
- version 0.991
- remove obsolete buffer patch

* Wed Aug 16 2006 Nils Philippsen <nphilipp@redhat.com> - 0.99-6
- revamp scheme for integrating external GIMP plugins (#202545)
- use disttag

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.99-5.1
- rebuild

* Thu Jun 08 2006 Nils Philippsen <nphilipp@redhat.com> - 0.99-5
- re-add desktop file (#170835)
- use %%buildroot consistently
- add automake, autoconf build requirements

* Wed Apr 05 2006 Nils Philippsen <nphilipp@redhat.com> - 0.99-4
- use XSANE.lang instead of xsane.lang to avoid %%doc multilib regression

* Tue Apr 04 2006 Nils Philippsen <nphilipp@redhat.com> - 0.99-3
- fix medium-definitions patch to not barf on obsolete options in config file
  (#185269, by Aldy Hernandez)

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.99-2.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.99-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Jan 16 2006 Nils Philippsen <nphilipp@redhat.com> 0.99-2
- fix buffer overflow

* Fri Jan 13 2006 Nils Philippsen <nphilipp@redhat.com> 0.99-1
- version 0.99

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Nov 24 2005 Nils Philippsen <nphilipp@redhat.com> 0.98a-1
- version 0.98a

* Tue Oct 04 2005 Nils Philippsen <nphilipp@redhat.com> 0.97-1
- version 0.97

* Mon Jun 20 2005 Tim Waugh <twaugh@redhat.com> 0.95-4
- Build requires gettext-devel (bug #160994).

* Wed Mar  2 2005 Tim Waugh <twaugh@redhat.com> 0.95-3
- Rebuild for new GCC.

* Wed Dec  8 2004 Tim Waugh <twaugh@redhat.com> 0.95-2
- Fix crash on start (bug #142148).

* Fri Dec  3 2004 Tim Waugh <twaugh@redhat.com> 0.95-1
- 0.95.
- No longer need badcode patch.
- Enable translations again.
- New method of installing GIMP plug-in due to Nils Philippsen.

* Mon Jun 28 2004 Tim Waugh <twaugh@redhat.com> 0.92-13
- Build requires libtiff-devel (bug #126564).

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Jun  4 2004 Tim Waugh <twaugh@redhat.com> 0.92-11
- Fix GIMP plug-in package (bug #125254).

* Wed Apr 21 2004 Seth Nickell <snickell@redhat.com> 0.92-10
- Remove .desktop file

* Wed Mar 31 2004 Tim Waugh <twaugh@redhat.com> 0.92-9
- Rebuilt.

* Thu Mar 18 2004 Nils Philippsen <nphilipp@redhat.com> 0.92-8
- Rebuild against new gimp.

* Tue Mar  9 2004 Tim Waugh <twaugh@redhat.com> 0.92-7
- Fix desktop file Name (bug #117370).

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Tim Waugh <twaugh@redhat.com> 0.92-5
- Fixed %%post scriptlet.

* Sun Jan 25 2004 Tim Waugh <twaugh@redhat.com> 0.92-4
- Gimp patch updated.

* Fri Jan 23 2004 Tim Waugh <twaugh@redhat.com> 0.92-3
- Translations are broken -- turn them off for the time being.
- Really apply the patch this time.
- Fix up post/postun scriptlets.

* Fri Jan 23 2004 Tim Waugh <twaugh@redhat.com> 0.92-2
- Apply patch for building against new gimp.

* Mon Dec 15 2003 Tim Waugh <twaugh@redhat.com> 0.92-1
- 0.92.

* Thu Nov 27 2003 Thomas Woerner <twoerner@redhat.com> 0.91-2
- removed rpath

* Wed Oct  8 2003 Tim Waugh <twaugh@redhat.com>
- Avoid undefined behaviour in xsane-preview.c (bug #106314).

* Thu Jul 24 2003 Tim Waugh <twaugh@redhat.com> 0.91-1
- 0.91.

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Apr  9 2003 Tim Waugh <twaugh@redhat.com> 0.90-2
- Set default HTML viewer to htmlview (bug #88318).

* Thu Mar 20 2003 Tim Waugh <twaugh@redhat.com> 0.90-1
- 0.90.

* Sat Feb  1 2003 Matt Wilson <msw@redhat.com> 0.89-3
- use %%{_libdir} for gimp plugin path

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Oct 25 2002 Tim Waugh <twaugh@redhat.com> 0.89-1
- 0.89.
- Use %%find_lang.

* Fri Aug 30 2002 Tim Waugh <twaugh@redhat.com> 0.84-8
- Don't require gimp-devel (cf. bug #70754).

* Tue Jul 23 2002 Tim Waugh <twaugh@redhat.com> 0.84-7
- Desktop file fixes (bug #69555).

* Mon Jul 15 2002 Tim Waugh <twaugh@redhat.com> 0.84-6
- Use desktop-file-install.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 0.84-5
- automated rebuild

* Wed Jun 12 2002 Tim Waugh <twaugh@redhat.com> 0.84-4
- Rebuild to fix bug #66132.

* Thu May 23 2002 Tim Powers <timp@redhat.com> 0.84-3
- automated rebuild

* Thu Feb 21 2002 Tim Waugh <twaugh@redhat.com> 0.84-2
- Rebuild in new environment.

* Wed Jan 23 2002 Tim Waugh <twaugh@redhat.com> 0.84-1
- 0.84.
- Remove explicit sane-backends dependency, since it is automatically
  found by rpm.

* Wed Jan 09 2002 Tim Powers <timp@redhat.com> 0.83-2
- automated rebuild

* Tue Jan  8 2002 Tim Waugh <twaugh@redhat.com> 0.83-1
- 0.83.

* Tue Dec 11 2001 Tim Waugh <twaugh@redhat.com> 0.82-3.1
- 0.82.
- Some extra patches from Oliver Rauch.
- Require sane not sane-backends since it's available throughout 7.x.
- Built for Red Hat Linux 7.1, 7.2.

* Tue Jul 24 2001 Tim Waugh <twaugh@redhat.com> 0.77-4
- Build requires libpng-devel, libjpeg-devel (#bug 49760).

* Tue Jul 17 2001 Preston Brown <pbrown@redhat.com> 0.77-3
- add an icon to the desktop entry

* Tue Jun 19 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add ExcludeArch: s390 s390x

* Mon Jun 11 2001 Tim Waugh <twaugh@redhat.com> 0.77-1
- 0.77.

* Sun Jun  3 2001 Tim Waugh <twaugh@redhat.com> 0.76-2
- Require sane-backends, not all of sane.

* Wed May 23 2001 Tim Waugh <twaugh@redhat.com> 0.76-1
- 0.76.

* Thu May  3 2001 Tim Waugh <twaugh@redhat.com> 0.75-1
- 0.75
- Fix summary/description to match specspo.

* Mon Jan  8 2001 Matt Wilson <msw@redhat.com>
- fix post script of gimp subpackage to install into the correct location

* Mon Dec 25 2000 Matt Wilson <msw@redhat.com>
- rebuilt against gimp 1.2.0

* Thu Dec 21 2000 Matt Wilson <msw@redhat.com>
- rebuilt against gimp 1.1.32
- use -DGIMP_ENABLE_COMPAT_CRUFT=1 to build with compat macros

* Thu Oct 12 2000 Than Ngo <than@redhat.com>
- 0.62

* Wed Aug 23 2000 Matt Wilson <msw@redhat.com>
- rebuilt against gimp-1.1.25

* Mon Aug 07 2000 Than Ngo <than@redhat.de>
- added swedish translation (Bug #15316)

* Fri Aug 4 2000 Than Ngo <than@redhat.de>
- fix, shows error dialogbox if no scanner exists (Bug #15445)
- update to 0.61

* Wed Aug  2 2000 Matt Wilson <msw@redhat.com>
- rebuilt against new libpng

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul  3 2000 Matt Wilson <msw@redhat.com>
- rebuilt against gimp 1.1.24
- make clean before building non gimp version

* Fri Jun 30 2000 Preston Brown <pbrown@redhat.com>
- made gimp subpkg

* Wed Jun 14 2000 Preston Brown <pbrown@redhat.com>
- desktop entry added

* Tue Jun 13 2000 Preston Brown <pbrown@redhat.com>
- fixed gimp link
- FHS paths

* Tue May 30 2000 Karsten Hopp <karsten@redhat.de>
- update to 0.59

* Sat Jan 29 2000 TIm Powers <timp@redhat.com>
- fixed bug 8948

* Thu Dec 2 1999 Tim Powers <timp@redhat.com>
- updated to 0.47
- gzip man pages

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Mon Jul 26 1999 Tim Powers <timp@redhat.com>
- update to 0.30
- added %defattr
- built for 6.1

* Thu Apr 22 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for PowerTools 6.0






